python-schema-salad (8.9.20260417192335-2) unstable; urgency=medium

  * Resume compiling using mypyc, now that the fix for
    https://github.com/python/mypy/issues/21133 has been backported to
    the Debian package.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Apr 2026 09:00:47 +0200

python-schema-salad (8.9.20260417192335-1) unstable; urgency=medium

  * New upstream version
  * debputy lint --auto-fix (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Apr 2026 08:53:53 +0200

python-schema-salad (8.9.20260327095315-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.4 (routine-update)
  * d/control: new dependency: python3-rich-argparse
  * d/rules: stop compiling due to mypyc bug:
    https://github.com/python/mypy/issues/21133

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Apr 2026 14:40:37 +0200

python-schema-salad (8.9.20251102115403-1) unstable; urgency=medium

  * New upstream version. Closes: #1123456
  * Standards-Version: 4.7.3 (routine-update)
  * Removed patch applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jan 2026 10:34:19 +0100

python-schema-salad (8.9.20250723145140-2) unstable; urgency=medium

  * Added patch to formally support newer mistune.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 17:52:37 +0200

python-schema-salad (8.9.20250723145140-1) unstable; urgency=medium

  * d/control: switch back to pybuild-based autopkgtests
  * New upstream version. Closes: #1114331
  * d/control: remove outdated package version restrictions.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Sep 2025 15:22:08 +0200

python-schema-salad (8.9.20250408123006-1) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing.
  * Clean up test invocation in d/rules and switch to autopkgtest-pkg-pybuild.
  * docs: link to other packages docs as well.
  * d/control: build-dep on graphviz for the docs.
  * d/lintian-overrides: freshen
  * Skip "test_detect_changes_in_html", only of interest to developers.
    Closes: #1101866.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Apr 2025 12:51:52 +0200

python-schema-salad (8.8.20241206093842-2) unstable; urgency=medium

  * Build the docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 17:46:10 +0100

python-schema-salad (8.8.20241206093842-1) unstable; urgency=medium

  * d/control: adjust python*-dev* build-deps to help cross-building
  * d/docs: include the Apache NOTICE file from the avro fork.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:00:28 +0100

python-schema-salad (8.7.20240905150001-1) unstable; urgency=medium

  * d/watch: adapt to changed package name
  * New upstream version
  * Drop patch "rework_all", it is no longer needed.
  * d/control: black is needed for compilation, not just testing
  * d/rules: small cleanups, run the tests with the same options as upstream
  * Added patch to build the mypyc modules with debugging information.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 09 Sep 2024 13:11:29 +0200

python-schema-salad (8.5.20240410123758-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:36:05 +0300

python-schema-salad (8.5.20240311110950-1) unstable; urgency=medium

  * d/patches: fix some metadata
  * d/control: add missing dependency on libc
  * d/control: link to the Read The Docs page for schema-salad, not the
    main CWL project website.
  * New upstream version
  * d/patches: drop mistune3, offline patches, they were applied
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 12:36:41 +0100

python-schema-salad (8.5.20240102191335-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version. Closes: #1058270, #1059992

  [ Michael R. Crusoe ]
  * d/control: change build-dep to python3-all-dev (not just python3-dev).
  * d/patches/mistune3.patch: add Francis Charette Migneault's fixes for
    mistune3.
  * d/control: bump python3-mistune dependency to at least version 3,
               remove python3-importlib-resources as it isn't needed anymore
  * d/patches/offline: enable additional testing without an internet
                       connection.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 18 Jan 2024 18:17:50 +0100

python-schema-salad (8.4.20230808163024-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * drop bump-cachecontrol, no longer needed.
  * d/control: add build-dep on python3-importlib-resources

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 19:51:20 +0200

python-schema-salad (8.4.20230213094415-2) unstable; urgency=medium

  * Team upload.
  * Patch: Allow cachecontrol 0.13 to be installed.
  * Mark the autopkgtest as needs-internet.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 12:45:36 -0400

python-schema-salad (8.4.20230213094415-1) unstable; urgency=medium

  * d/clean: expand to cover more leftovers
  * New upstream version. Closes: #1031464
  * Set version using SETUPTOOLS_SCM_PRETEND_VERSION.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Feb 2023 13:24:38 +0100

python-schema-salad (8.4.20230201194352-2) unstable; urgency=medium

  * Use mypyc to build optimized binaries.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 Feb 2023 19:32:44 +0100

python-schema-salad (8.4.20230201194352-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * refresh patches
  * skip test_bad_schemas as it needs internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 17:59:41 +0100

python-schema-salad (8.3.20221209165047-1) unstable; urgency=medium

  * New upstream version
  * Drop mistune patch; switch to python3-mistune 2.x as upstream has
    upgraded.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 12:44:55 +0100

python-schema-salad (8.3.20221115203138-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 17 Nov 2022 15:14:30 +0100

python-schema-salad (8.3.20221016151607-1) unstable; urgency=medium

  * New upstream version
  * Drop debian/patches/setuptools_not_runtime_req, applied upstream.
    Refresehd remaining patches.
  * Build-dep on recent cachecontrol (0.12.12 and newer) with filelock
    instead of lockfile.
  * autopktest: echo the commands as we run them

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 17:36:26 +0200

python-schema-salad (8.3.20220825133457-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debian/control: build-dep on pybuild-plugin-pyprojecy to parse the
    PEP 517 installer file.
  * debian/patches/setuptools_not_runtime_req: added
  * debian/install: keep the license for the dotnet codegen

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Aug 2022 13:15:06 +0200

python-schema-salad (8.2.20220204150214-1) unstable; urgency=high

  * Switch to mistune0 to keep the compatible version. Closes: #1003567
  * New upstream version
  * rdflib-jsonld is no longer need with rdlfib >= 6

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 17:05:37 +0200

python-schema-salad (8.2.20220103095339-1) unstable; urgency=medium

  * New upstream version
  * Add a patch to use the Debian copy of the Apache 2.0 license for the
    typescript codegen feature

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 12:41:03 +0100

python-schema-salad (8.2.20211104054942-1) unstable; urgency=medium

  * New upstream version
  * New dependency: black (for --codegen python)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Nov 2021 07:22:45 +0100

python-schema-salad (8.2.20210918131710-2) unstable; urgency=medium

  * Breaks: older cwltool (<< 3.1.20210521105815)
  * Mark minimum pytest version; enable building with fewer dependencies
    with the "nocheck" profile.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:15:59 +0200

python-schema-salad (8.2.20210918131710-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Removed now unneeded CacheControl & ruamel.yaml dependency patches.
  * Force dependency on python3-rdflib-jsonld; to be dropped when Debian gets
    v6 of rdflib
  * Remove conflict with python-schema-salad
  * No longer need to build-dep on typing-extensions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:36:08 +0200

python-schema-salad (7.0.20210124093443-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * Refresh patches
  * debian/rules: skip tests that require internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 14:50:30 +0100

python-schema-salad (7.0.20200811075006-2) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael R. Crusoe ]
  * debian/rules, debian/tests/run-test: fix pytest invocation (--pyargs
    instead of --pyarg)
  * debian/patches/rdflib5: Add rdflib 5.0.x compatability. Closes: #978327

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 10:07:59 +0100

python-schema-salad (7.0.20200811075006-1) unstable; urgency=medium

  * Move source package to DPMT.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refreshed the patches.
  * Allow for a newer ruamel.yaml package

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:22:09 +0200

python-schema-salad (5.0.20200416112825-1) unstable; urgency=medium

  * New upstream version. (Closes: #959597)
  * Refreshed the patches.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 11 May 2020 14:33:27 +0200

python-schema-salad (5.0.20200302192450-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Apr 2020 17:10:17 +0200

python-schema-salad (5.0.20200220195218-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Feb 2020 19:57:12 +0100

python-schema-salad (5.0.20200126033820-2) unstable; urgency=medium

  * Allow for newer versions of CacheControl.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:19:16 +0100

python-schema-salad (5.0.20200126033820-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Jan 2020 14:05:51 +0100

python-schema-salad (5.0.20200122085940-2) unstable; urgency=medium

  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * debian/patches/better_is_fs_case_sensitive: allow test to work post-
    installation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Jan 2020 10:06:03 +0100

python-schema-salad (5.0.20200122085940-1) unstable; urgency=medium

  * New upstream version
  * Use secure URI in Homepage field.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Jan 2020 16:52:41 +0100

python-schema-salad (4.5.20190815125611-3) unstable; urgency=medium

  * debian/patches/lower-case.patch: improvement from Steve Langasek
    <steve.langasek@canonical.com>, thanks! (Closes: #935680)
  * debian/rules: use interpreter shortcut in pytest invocation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 26 Aug 2019 07:07:03 +0200

python-schema-salad (4.5.20190815125611-2) unstable; urgency=medium

  * debian/patches/lower-case.patch: better fix

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Aug 2019 12:43:50 +0200

python-schema-salad (4.5.20190815125611-1) unstable; urgency=medium

  * New upstream version
  * debian/patches/lower-case.patch: Fix build error due to mixed case paths

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Aug 2019 11:56:37 +0200

python-schema-salad (4.5.20190729164411-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 18:53:05 +0200

python-schema-salad (4.5.20190621200723-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 13:08:20 +0200

python-schema-salad (3.0.20181206233650-2) unstable; urgency=medium

  * Fix the already shipped tests and enable them as autopkgtests.
  * Run the same tests at compile time.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 04 Jan 2019 06:45:22 -0800

python-schema-salad (3.0.20181206233650-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 03 Jan 2019 00:44:53 -0800

python-schema-salad (3.0.20181129082112-1) unstable; urgency=medium

  * New upstream release
  * Now a pure Python3 library

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 20 Dec 2018 05:37:41 -0800

python-schema-salad (2.6.20171201034858-3) unstable; urgency=medium

  * Add missing python-avro dependency

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Feb 2018 05:27:57 -0800

python-schema-salad (2.6.20171201034858-2) unstable; urgency=medium

  * Team upload
  * Allow python-avro >= 1.8.1 (instead of == 1.8.1)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:18:54 +0100

python-schema-salad (2.6.20171201034858-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.1
  * Recommends: cwltool (to enable running all test scripts)
  * Use locally installed bootstrap.min.css instead of risking privacy breach

 -- Andreas Tille <tille@debian.org>  Wed, 06 Dec 2017 16:47:18 +0100

python-schema-salad (2.6.20170630075932-2) unstable; urgency=medium

  * Fix broken manual pages. (Closes: #851336). Thanks to Daniel Shahaf
    for the report and mattia@debian.org for the reminder.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 08 Aug 2017 07:58:13 -0700

python-schema-salad (2.6.20170630075932-1) unstable; urgency=medium

  * New upstream version 2.6.20170630075932

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Jan 2017 23:46:56 -0800

python-schema-salad (2.2.20170111180227-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * debhelper 10

  [ Michael R. Crusoe ]
  * Fix manpage generation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Jan 2017 00:16:47 -0800

python-schema-salad (1.6.20160202222448-2) unstable; urgency=medium

  * debian/watch, debian/control: correct URLs

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Tue, 23 Feb 2016 08:55:42 -0800

python-schema-salad (1.6.20160202222448-1) unstable; urgency=medium

  * Initial release. (Closes: #813839)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 05 Feb 2016 02:18:38 -0800
